Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1994095 - Review Request: libavtp - An AVTP protocol implementation
Summary: Review Request: libavtp - An AVTP protocol implementation
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Menšík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: IoT
TreeView+ depends on / blocked
 
Reported: 2021-08-16 17:46 UTC by Peter Robinson
Modified: 2021-08-22 19:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-22 19:59:41 UTC
Type: Bug
Embargoed:
pemensik: fedora-review+


Attachments (Terms of Use)

Description Peter Robinson 2021-08-16 17:46:27 UTC
SPEC: https://pbrobinson.fedorapeople.org/libavtp.spec
SRPM: https://pbrobinson.fedorapeople.org/libavtp-0.1.0-1.fc34.src.rpm

Description:
An open source implementation of Audio Video Transport
Protocol (AVTP) specified in IEEE 1722-2016 spec.

koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=73964487

FAS: pbrobinson

Comment 1 Gustavo Costa 2021-08-17 01:15:43 UTC
Hi Peter. I'm not a packager yet, but I have two things to point out about your spec file:

* Invalid license short name. You should use "BSD" for 3-Clause BSD [1]
License:	BSD

* Use a valid Source0 URL [2]
Source0:	%{url}/archive/v%{version}/%{name}-%{version}.tar.gz

1. https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Good_Licenses_2
2. https://docs.fedoraproject.org/en-US/packaging-guidelines/SourceURL/#_git_tags

Comment 2 Petr Menšík 2021-08-17 13:36:20 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues
=======

- README.md is not included as %doc, CONTRIBUTING.md and HACKING.md should be part of devel subpackage.
- Source0 url does not work, tag prefix "v" is missing
  Suggested url:
  Source0:        %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
- Unit tests should be run during build when present, example is at the end of HACKING.md
- BSD-3 license tag should be just BSD;
  visit the list: https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Good_Licenses



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD (3 clause)". 5 files have unknown
     license. Detailed output of licensecheck in
     /home/reviewer/fedora/rawhide/1994095-libavtp/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0:
     https://github.com/Avnu/libavtp/archive/0.1.0.tar.gz#/libavtp-0.1.0.tar.gz
     See: https://docs.fedoraproject.org/en-US/packaging-
     guidelines/SourceURL/
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[!]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[!]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libavtp-0.1.0-1.fc35.x86_64.rpm
          libavtp-devel-0.1.0-1.fc35.x86_64.rpm
          libavtp-debuginfo-0.1.0-1.fc35.x86_64.rpm
          libavtp-debugsource-0.1.0-1.fc35.x86_64.rpm
          libavtp-0.1.0-1.fc35.src.rpm
libavtp.x86_64: W: invalid-license BSD-3
libavtp.x86_64: E: shared-lib-without-dependency-information /usr/lib64/libavtp.so.0.1.0
libavtp.x86_64: W: no-documentation
libavtp-devel.x86_64: W: invalid-license BSD-3
libavtp-devel.x86_64: W: no-documentation
libavtp-debuginfo.x86_64: W: invalid-license BSD-3
libavtp-debugsource.x86_64: W: invalid-license BSD-3
libavtp.src: W: invalid-license BSD-3
libavtp.src: W: invalid-url Source0: https://github.com/Avnu/libavtp/archive/0.1.0.tar.gz#/libavtp-0.1.0.tar.gz HTTP Error 404: Not Found
5 packages and 0 specfiles checked; 1 errors, 8 warnings.




Rpmlint (debuginfo)
-------------------
Checking: libavtp-debuginfo-0.1.0-1.fc35.x86_64.rpm
libavtp-debuginfo.x86_64: W: invalid-license BSD-3
1 packages and 0 specfiles checked; 0 errors, 1 warnings.





Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
libavtp (rpmlib, GLIBC filtered):
    rtld(GNU_HASH)

libavtp-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libavtp(x86-64)
    libavtp.so.0()(64bit)

libavtp-debuginfo (rpmlib, GLIBC filtered):

libavtp-debugsource (rpmlib, GLIBC filtered):



Provides
--------
libavtp:
    libavtp
    libavtp(x86-64)
    libavtp.so.0()(64bit)

libavtp-devel:
    libavtp-devel
    libavtp-devel(x86-64)
    pkgconfig(avtp)

libavtp-debuginfo:
    debuginfo(build-id)
    libavtp-debuginfo
    libavtp-debuginfo(x86-64)
    libavtp.so.0.1.0-0.1.0-1.fc35.x86_64.debug()(64bit)

libavtp-debugsource:
    libavtp-debugsource
    libavtp-debugsource(x86-64)



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 1994095
Buildroot used: fedora-rawhide-x86_64
Active plugins: C/C++, Shell-api, Generic
Disabled plugins: R, Ocaml, fonts, PHP, Haskell, Java, Python, Perl, SugarActivity
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Peter Robinson 2021-08-17 13:51:05 UTC
> Issues
> =======
> 
> - README.md is not included as %doc, CONTRIBUTING.md and HACKING.md should
> be part of devel subpackage.
> - Source0 url does not work, tag prefix "v" is missing
>   Suggested url:
>   Source0:       
> %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
> - Unit tests should be run during build when present, example is at the end
> of HACKING.md
> - BSD-3 license tag should be just BSD;
>   visit the list:
> https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Good_Licenses

I think all these minor issues can easily be fixed on import, I have them done locally. What's the bug NEEDINFO for?

Comment 4 Petr Menšík 2021-08-17 14:04:00 UTC
I did not expect so quick response, just to notify you of status change.

I admit just small SHOULD issues remains, though multiple of them. Okay, I guess review+ can be given even without fixing them first, especially because your are no novice of packaging.

I considered legal review, because it mentions some h264 data, it seems the code contains just bunch of serialization functions, not anything patent related I think.

Thanks for the package, additional fixes would be nice but not mandatory.

Comment 5 Peter Robinson 2021-08-17 14:17:26 UTC
> I considered legal review, because it mentions some h264 data, it seems the
> code contains just bunch of serialization functions, not anything patent
> related I think.

My understanding and digging is it's purely a transport protocol so it doesn't use actual H264 in the library and relies on gstreamer (currently in -bad for that). Also has support for alsa but that's unrelated to h264. It's basically an interface for A/V Broadcast over TSN (Time Sensitive Networking).

Comment 6 Gwyn Ciesla 2021-08-17 14:29:56 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/libavtp


Note You need to log in before you can comment on or make changes to this bug.